<div class="col-sm-<?= (int)MODULE_CONTENT_IP_FILTER_CONTENT_WIDTH ?> title cm-ip-filter">
  <h4><?= MODULE_CONTENT_IP_FILTER_PUBLIC_TITLE ?></h4>
  <div class="form-group row row-cols-sm-3 row-cols-md-6 row-cols-lg-9">
  <?php 
    $check = false;	
	$current_path = ['cPath' => $GLOBALS['cPath'], 'sort' => $_GET['sort'] ?? ''];
	   
	foreach ($options as $option) {
	  $form = new Form('attrib_' . $option['id'], $GLOBALS['Linker']->build('index.php', [], false), 'get');			 
      $input_id = "input_{$option['id']}";
      $input = new Select('attrib_' . $option['id'], $option['choices'], ['id' => $input_id, 'onchange' => 'this.form.submit()']);
	  if(isset($_GET['attrib_' . $option['id']])) {
		$input->set_selection($_GET['attrib_' . $option['id']]);
	  }	  
      
	  //Hidden forms to preserve the cPath and the sort
      if (empty($_GET['manufacturers_id'])) {
        $form->hide('cPath', $GLOBALS['cPath']);
      } else {
        $form->hide('manufacturers_id', $_GET['manufacturers_id']);
      }
      if(isset($_GET['sort'])) $form->hide('sort', $_GET['sort']);

	  foreach ($_GET as $keys => $values) {
        if (preg_match('/attrib_/', $keys)) {
          $form->hide($keys, $values);
          $check = true;		 
        }
      }
         
      echo '<div class="col">';
	   echo $form;
	   echo $input;
	   echo '</form>';
	  echo '</div>';

    }
	if($check) echo '<a href="' . $GLOBALS['Linker']->build('index.php', $current_path, false) . '">' . new Button(MODULE_CONTENT_IP_FILTER_BUTTON_REMOVE, 'fas fa-times', 'btn-danger btn-block') . '</a>';
   ?>
  </div>
</div>

<?php
/*
  $Id$

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
?>